require 'active_support/concern'
require 'sumodev/actions'

module Sumodev::Generators
  module General
    module Capistrano
      include Thor::Actions
      include Sumodev::Actions

      extend ActiveSupport::Concern

      included do
        create_task :generate_capfile
        source_paths << File.dirname(__FILE__) + '/templates/'
      end
      
      def generate_capfile
        git_track "Added Capfile" do
          template 'Capfile', 'Capfile'
        end
      end
    end
  end
end
